<?php 

require '../_con.php';

$uploaddir = '/home/hotell10/public_html/images/banners/';

// Formatea texto para base de datos
function pt($t){
	return str_replace('"', '\"', utf8_decode(trim($t))); 
}

//  Formatea texto para salida
function ft($t) {
	return nl2br(htmlentities(trim($t)));
}

//  Formatea texto bold, itálico y bold itálico
function ftx($t) {
	$codi = array('[b]', '[/b]', '[i]', '[/i]', '[bi]', '[/bi]');
	$html = array('<strong>', '</strong>', '<em>', '</em>', '<strong><em>', '</em></strong>');
	return str_replace($codi, $html, $t);
}

//  Formatea texto para textarea
function at($t) {
	return htmlentities(trim($t));
}

//  Formatea texto para captions
function ct($t) {
	return str_replace('"', '\"', nl2br(htmlentities(trim($t))));
}

//  Formatea nombre de archivo
function ut($t) {
	$prohibidos = array('/', '\\', '"', '\'', ';' , '\n', '<', '>', '?', '&');
	return urlencode(str_replace($prohibidos, '', str_replace(' ', '_', trim($t))));
}

// Agrega ceros de inicio a los números
function ceros($numero, $digitos) {
	if ($numero < 10 ^ $digitos) {
		$numeroconceros = substr("0000000000" . $numero, -$digitos, $digitos);
	} else { 
		$numeroconceros = $numero;
	}
	return $numeroconceros;
}

function format_size($size, $round = false) {
    // Tamaño en bytes!!
    if(!isset($round) || !is_numeric($round)){
		$round=0;
	}
    $sizes = array('B', 'KiB', 'MiB', 'GiB', 'TiB', 'PiB', 'EiB', 'ZiB', 'YiB');
    $i = 0;
    while ($size > 1024) {
        $size /= 1024;
        ++$i;
    }
	return round($size,$round).' '.$sizes[$i];
}

?>